curl --request GET \
--url https://app.titanx.io/api/public/v2/jobs \
--header 'Authorization: Bearer <token>'{
"data": {
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Init",
"createdAt": "2023-11-07T05:31:56Z",
"jobSource": "app",
"jobType": "scoring",
"name": "<string>"
}
],
"pagination": {
"page": 2,
"perPage": 2,
"totalCount": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}List all jobs for the authenticated user with pagination support. Filter by source (app, api, or all).
curl --request GET \
--url https://app.titanx.io/api/public/v2/jobs \
--header 'Authorization: Bearer <token>'{
"data": {
"jobs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Init",
"createdAt": "2023-11-07T05:31:56Z",
"jobSource": "app",
"jobType": "scoring",
"name": "<string>"
}
],
"pagination": {
"page": 2,
"perPage": 2,
"totalCount": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1 <= x <= 1000app, api, all Successful response with jobs list and pagination
Show child attributes